> For the complete documentation index, see [llms.txt](https://docs.predicthq.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.predicthq.com/api/overview/pagination.md).

# Pagination

When requesting a list of records, the response will usually contain the following fields:

<table><thead><tr><th width="190">Field</th><th>Description</th></tr></thead><tbody><tr><td><strong>count</strong></td><td>The total number of results.</td></tr><tr><td><strong>previous</strong></td><td>A URL to the previous page, or <code>null</code> if this is the first page.</td></tr><tr><td><strong>next</strong></td><td>A URL to the next page, or <code>null</code> if this is the last page.</td></tr><tr><td><strong>overflow</strong></td><td>Boolean flag that indicates if the search has more results than your subscription allows you to view.</td></tr></tbody></table>

Below is an example response:

```json
{
  "count": 189,
  "overflow": false,
  "previous": null,
  "next": "https://api.predicthq.com/v1/endpoint/?offset=10&limit=10",
  "results": [
    {
        // record 1
    },
    {
        // record 2
    }

    // more records

  ]
}
```

Individual API Endpoint documentation will describe specific response formats.

You can control the result records that are returned using the standard `offset` and `limit` query string parameters. If no limit is specified, then a default of `10` applies.

The maximum number of results and pagination limits are specified in [your plan](https://control.predicthq.com/settings/plans). If you require higher limits please [contact us](https://www.predicthq.com/contact) to discuss your needs.

## Maximum Number of Results

When the number of results exceeds the maximum number of records allowed by your subscription the `overflow` field will be set to `true`. This indicates there are more results available but you are unable to paginate to them.

You can work around this limitation by performing more specific searches resulting in fewer results.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.predicthq.com/api/overview/pagination.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
